using Quadarax.Foundation.Core.Exceptions;
using System;

namespace Quadarax.Foundation.Core.Data.Interface.Entity.Dto
{
    public class ErrorMessageDto : Error, IDto
    {
        public ErrorMessageDto() : base("Default message", 0, ErrorLevelEnum.Error) { }

        public ErrorMessageDto(Exception exception, int code) : base(exception.Message, code, ErrorLevelEnum.Error)
        {
        }

        public ErrorMessageDto(CodeException exception) : base(exception)
        {
        }
    }
}
